﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using DWNet.Data;
using OrderDemo.Models;
using SnapObjects.Data;

namespace OrderDemo.Services
{
    public interface IWOrderNewService
    {
        short DwOrderItemChanged(string columnName, string data, out bool hasCustomer, out string orderNo);

        short DwOrderItemItemChanged(string columnName, string data, out bool hasProduct, out D_Product product);

        void Open(out IDataStore products, out IDataStore categories);

        bool UeSave(IDataStore order, IDataStore orderItems);

        string WfGetOrderNo(string custNo);
    }
}
