﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using DWNet.Data;

namespace OrderDemo.Services.Impl
{
    public class WCustomerSelectService : IWCustomerSelectService
    {   
        // The DataContext local variable. (Similar to PB's SQLCA)
        private readonly AppeonDataContext _context;

        // Initializes a new instance of the WCustomerSelect class.
        public WCustomerSelectService(AppeonDataContext Context)
        {
            // Initialize the DataContext variable
            _context = Context;
        }
        
        public IDataStore Open()
        {
            // Create the .NET DataStore; set its Dataobject; and set its DataContext
            IDataStore customers = new DataStore("d_customer_select", _context);

            // Retrieve the .NET DataStore
            customers.Retrieve();

            // Return the .NET DataStore
            return customers;
        }
    }
}
